MSK3ParserInternal::State Struct Reference

Internal: the state of a MSK3Parser. More...

## Public Member Functions

| State ()
| constructor More...
Zone | get (Zone::Type type)
| return a zone More...
bool | IsTextDoc () const
| returns true if this is a text document (hack for MSWorks 4.0 Draw) More...

## Public Attributes

MWAWDocument::DocumentKind | m_docType
| the type of document More...
std::map< int, Zone > | m_zoneMap
| the list of zone More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
std::string | m_headerText
| header string v1-2 More...
std::string | m_footerText
| footer string v1-2 More...
bool | m_hasHeader
| true if there is a header v3 More...
bool | m_hasFooter
| true if there is a footer v3 More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MSK3Parser.

## Constructor & Destructor Documentation

MSK3ParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

Zone MSK3ParserInternal::State::get | ( | Zone::Type | type | ) |

inline

return a zone

bool MSK3ParserInternal::State::IsTextDoc | ( |  | ) | const

inline

returns true if this is a text document (hack for MSWorks 4.0 Draw)

## Member Data Documentation

int MSK3ParserInternal::State::m_actPage

the actual page

MWAWDocument::DocumentKind MSK3ParserInternal::State::m_docType

the type of document

Referenced by IsTextDoc().

int MSK3ParserInternal::State::m_footerHeight

the footer height if known

std::string MSK3ParserInternal::State::m_footerText

footer string v1-2

bool MSK3ParserInternal::State::m_hasFooter

true if there is a footer v3

bool MSK3ParserInternal::State::m_hasHeader

true if there is a header v3

int MSK3ParserInternal::State::m_headerHeight

the header height if known

std::string MSK3ParserInternal::State::m_headerText

header string v1-2

int MSK3ParserInternal::State::m_numPages

the number of page of the final document

std::map<int, Zone> MSK3ParserInternal::State::m_zoneMap

the list of zone

Referenced by get().

The documentation for this struct was generated from the following file:

- MSK3Parser.cxx